Upstream information

CVE-2016-2161 at MITRE

Description

In Apache HTTP Server versions 2.4.0 to 2.4.23, malicious input to mod_auth_digest can cause the server to crash, and each instance continues to crash even for subsequently valid requests.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 4.3
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entries: 1016714 [RESOLVED], 1033513 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP4
  • apache2 >= 2.2.12-69.1
  • apache2-doc >= 2.2.12-69.1
  • apache2-example-pages >= 2.2.12-69.1
  • apache2-prefork >= 2.2.12-69.1
  • apache2-utils >= 2.2.12-69.1
  • apache2-worker >= 2.2.12-69.1
Patchnames:
slessp4-apache2-13032
SUSE Linux Enterprise Server 12 SP1
  • apache2 >= 2.4.16-19.1
  • apache2-doc >= 2.4.16-19.1
  • apache2-example-pages >= 2.4.16-19.1
  • apache2-prefork >= 2.4.16-19.1
  • apache2-utils >= 2.4.16-19.1
  • apache2-worker >= 2.4.16-19.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-449
SUSE Linux Enterprise Server 12 SP2
  • apache2 >= 2.4.23-21.1
  • apache2-doc >= 2.4.23-21.1
  • apache2-example-pages >= 2.4.23-21.1
  • apache2-prefork >= 2.4.23-21.1
  • apache2-utils >= 2.4.23-21.1
  • apache2-worker >= 2.4.23-21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-450
SUSE Linux Enterprise Server 12 SP3
  • apache2 >= 2.4.23-28.1
  • apache2-doc >= 2.4.23-28.1
  • apache2-example-pages >= 2.4.23-28.1
  • apache2-prefork >= 2.4.23-28.1
  • apache2-utils >= 2.4.23-28.1
  • apache2-worker >= 2.4.23-28.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA apache2
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • apache2 >= 2.4.23-21.1
  • apache2-doc >= 2.4.23-21.1
  • apache2-example-pages >= 2.4.23-21.1
  • apache2-prefork >= 2.4.23-21.1
  • apache2-utils >= 2.4.23-21.1
  • apache2-worker >= 2.4.23-21.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-450
SUSE Linux Enterprise Software Development Kit 11 SP4
  • apache2 >= 2.2.12-69.1
  • apache2-devel >= 2.2.12-69.1
  • apache2-doc >= 2.2.12-69.1
  • apache2-example-pages >= 2.2.12-69.1
  • apache2-prefork >= 2.2.12-69.1
  • apache2-utils >= 2.2.12-69.1
  • apache2-worker >= 2.2.12-69.1
Patchnames:
sdksp4-apache2-13032
SUSE Linux Enterprise Software Development Kit 12 SP1
  • apache2 >= 2.4.16-19.1
  • apache2-devel >= 2.4.16-19.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-449
SUSE Linux Enterprise Software Development Kit 12 SP2
  • apache2 >= 2.4.23-21.1
  • apache2-devel >= 2.4.23-21.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-450
SUSE Linux Enterprise Software Development Kit 12 SP3
  • apache2-devel >= 2.4.23-28.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA apache2-devel
SUSE Studio Onsite 1.3
  • apache2 >= 2.2.12-69.1
  • apache2-devel >= 2.2.12-69.1
Patchnames:
slestso13-apache2-13032
openSUSE Leap 42.1
  • apache2 >= 2.4.16-18.1
  • apache2-debuginfo >= 2.4.16-18.1
  • apache2-debugsource >= 2.4.16-18.1
  • apache2-devel >= 2.4.16-18.1
  • apache2-doc >= 2.4.16-18.1
  • apache2-event >= 2.4.16-18.1
  • apache2-event-debuginfo >= 2.4.16-18.1
  • apache2-example-pages >= 2.4.16-18.1
  • apache2-prefork >= 2.4.16-18.1
  • apache2-prefork-debuginfo >= 2.4.16-18.1
  • apache2-utils >= 2.4.16-18.1
  • apache2-utils-debuginfo >= 2.4.16-18.1
  • apache2-worker >= 2.4.16-18.1
  • apache2-worker-debuginfo >= 2.4.16-18.1
Patchnames:
openSUSE-2017-417
openSUSE Leap 42.2
  • apache2 >= 2.4.23-8.3.1
  • apache2-debuginfo >= 2.4.23-8.3.1
  • apache2-debugsource >= 2.4.23-8.3.1
  • apache2-devel >= 2.4.23-8.3.1
  • apache2-doc >= 2.4.23-8.3.1
  • apache2-event >= 2.4.23-8.3.1
  • apache2-event-debuginfo >= 2.4.23-8.3.1
  • apache2-example-pages >= 2.4.23-8.3.1
  • apache2-prefork >= 2.4.23-8.3.1
  • apache2-prefork-debuginfo >= 2.4.23-8.3.1
  • apache2-utils >= 2.4.23-8.3.1
  • apache2-utils-debuginfo >= 2.4.23-8.3.1
  • apache2-worker >= 2.4.23-8.3.1
  • apache2-worker-debuginfo >= 2.4.23-8.3.1
Patchnames:
openSUSE-2017-416
openSUSE Leap 42.3
  • apache2 >= 2.4.23-11.2
  • apache2-devel >= 2.4.23-11.2
  • apache2-doc >= 2.4.23-11.2
  • apache2-example-pages >= 2.4.23-11.2
  • apache2-prefork >= 2.4.23-11.2
  • apache2-utils >= 2.4.23-11.2
Patchnames:
openSUSE Leap 42.3 GA apache2


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 apache2 Released
SUSE Linux Enterprise SDK 12 SP1 apache2 Released
SUSE Linux Enterprise SDK 12 SP2 apache2 Released
SUSE Linux Enterprise Server 11 SP4 apache2 Released
SUSE Linux Enterprise Server 12 SP1 apache2 Released
SUSE Linux Enterprise Server 12 SP2 apache2 Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry Pi apache2 Released
SUSE Studio Onsite 1.3 apache2 Released